## ros-foxy-sros2 0.9.5

=== debian/changelog ===
ros-foxy-sros2 (0.9.5-1focal) focal; urgency=high

  * Make use of ros_testing to test policy generation. (#214 <https://github.com/ros2/sros2/issues/214>) (#254 <https://github.com/ros2/sros2/issues/254>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-sros2 (0.9.4-1focal) focal; urgency=high

  * parameter_events topic is now absolute (#233 <https://github.com/ros2/sros2/issues/233>) (#245 <https://github.com/ros2/sros2/issues/245>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Tue, 17 Nov 2020 08:00:00 -0000

ros-foxy-sros2 (0.9.3-1focal) focal; urgency=high

  * add cyclonedds to the list of rmw using graph info topics (#231) (#238)
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Add scope parameter (backport to Foxy) (#232)
    Signed-off-by: Jose Luis Rivero <mailto:jrivero@osrfoundation.org>
  * Contributors: Jose Luis Rivero, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 16 Sep 2020 07:00:00 -0000

ros-foxy-sros2 (0.9.2-1focal) focal; urgency=high

  * Fix list keys verb (#219 <https://github.com/ros2/sros2/issues/219>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Sat, 06 Jun 2020 07:00:00 -0000

ros-foxy-sros2 (0.9.1-1focal) focal; urgency=high

  * start validity date a day before to account for timezone mismatch (#209 <https://github.com/ros2/sros2/issues/209>)
  * Contributors: Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Mon, 11 May 2020 07:00:00 -0000

ros-foxy-sros2 (0.9.0-1focal) focal; urgency=high

  * Use matching validity dates for cert and permissions (#205 <https://github.com/ros2/sros2/issues/205>)
  * permission signing should use permissions_ca (#204 <https://github.com/ros2/sros2/issues/204>)
  * Rename keystore root env from ROS_SECURITY_ROOT_DIRECTORY to ROS_SECURITY_KEYSTORE (#200 <https://github.com/ros2/sros2/issues/200>)
  * API cleanup
    * remove function leftover from old generation strategy (#207 <https://github.com/ros2/sros2/issues/207>)
    * remove distribute_key completely (#197 <https://github.com/ros2/sros2/issues/197>)
    * api: reorganize policy generation API (#196 <https://github.com/ros2/sros2/issues/196>)
    * api: reorganize artifact generation API (#195 <https://github.com/ros2/sros2/issues/195>)
    * api: reorganize key API (#192 <https://github.com/ros2/sros2/issues/192>)
    * api: reorganize permission API (#191 <https://github.com/ros2/sros2/issues/191>)
    * api: reorganize policy API (#190 <https://github.com/ros2/sros2/issues/190>)
    * api: reorganize keystore API (#188 <https://github.com/ros2/sros2/issues/188>)
  * Security enclaves:
    * Use security contexts (#177 <https://github.com/ros2/sros2/issues/177>)
    * security-context -> enclave (#198 <https://github.com/ros2/sros2/issues/198>)
    * Update generate_policy verb for enclaves (#203 <https://github.com/ros2/sros2/issues/203>)
    * reenable test_generate_policy_no_policy_file (#206 <https://github.com/ros2/sros2/issues/206>)
  * [ci] Add GitHub actions for linting and source-build CI (#178 <https://github.com/ros2/sros2/issues/178>)
  * [test] use test_msgs instead of std message packages (#181 <https://github.com/ros2/sros2/issues/181>)
  * [test] more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * [bookkeeping] Update maintainer to point to ros-security mailing list + fix package.xml (#179 <https://github.com/ros2/sros2/issues/179>)
  * Symlink CA certs instead of copy (#176 <https://github.com/ros2/sros2/issues/176>)
  * update from ros2cli API:
    * pass argv in add_arguments to add_subparsers_on_demand (#175 <https://github.com/ros2/sros2/issues/175>)
    * switch to not deprecated API (#174 <https://github.com/ros2/sros2/issues/174>)
    * Use ros2cli.node.NodeStrategy consistently. (#173 <https://github.com/ros2/sros2/issues/173>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Kyle Fazzari, Michel Hidalgo, Mikael Arguedas, Ruffin

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 06 May 2020 07:00:00 -0000

ros-foxy-sros2 (0.8.1-1focal) focal; urgency=high

  * add profile for lifecycle nodes (#146 <https://github.com/ros2/sros2/issues/146>)
  * Cleanup changelog
  * Update version in setup.py
  * Contributors: Jacob Perron, Mikael Arguedas

 -- ROS Security Working Group <ros-security@googlegroups.com>  Wed, 13 Nov 2019 08:00:00 -0000

ros-foxy-sros2 (0.8.0-1focal) focal; urgency=high

  * Install an XML catalog so we can look this schema up locally (#158 <https://github.com/ros2/sros2/issues/158>)
    Fixes a failure in test_policy_to_permissions when there's no internet.
  * Fix missing resources needed for ament (#160 <https://github.com/ros2/sros2/issues/160>)
  * Install package manifest (#159 <https://github.com/ros2/sros2/issues/159>)
  * Disable flaky test (#155 <https://github.com/ros2/sros2/issues/155>)
  * Add mypy tests to check static typing (#154 <https://github.com/ros2/sros2/issues/154>)
  * Topics starting with tilde need a slash right after (#152 <https://github.com/ros2/sros2/issues/152>)
  * Update message content to match create_key message
  * Create key and cert only once in generate_artifacts
  * Fix certificate start date to work regardless of the timezone (#148 <https://github.com/ros2/sros2/issues/148>)
  * Use older pytest compatible with Ubuntu Bionic (#145 <https://github.com/ros2/sros2/issues/145>)
  * Add request service permissions in generated policies  (#141 <https://github.com/ros2/sros2/issues/141>)
  * Replace openssl subprocess calls with Python cryptography library
    
    Remove use of subprocess for creating ca key and cert (#126)
    
    Obtain S/MIME signature using cryptography library (#129)
    

