=== debian/control ===
Source: ros-foxy-sros2
Section: misc
Priority: optional
Maintainer: ROS Security Working Group <ros-security@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-foxy-ament-copyright, ros-foxy-ament-flake8, ros-foxy-ament-mypy, ros-foxy-ament-pep257, ros-foxy-rclpy, ros-foxy-ros-testing, ros-foxy-ros2cli, ros-foxy-test-msgs, ros-foxy-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-sros2
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-cryptography, python3-lxml, ros-foxy-ament-index-python, ros-foxy-rclpy, ros-foxy-ros2cli, ros-foxy-ros-workspace
Description: Command line tools for managing SROS2 keys
